[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Bug-gnulib] 03-getndelim2-c89.diff

From: Paul Eggert
Subject: Re: [Bug-gnulib] 03-getndelim2-c89.diff
Date: 21 Jul 2003 17:49:42 -0700
User-agent: Gnus/5.09 (Gnus v5.9.0) Emacs/21.3

Derek Robert Price <address@hidden> writes:

> Here's a quick patch to remove the K&R support from getndelim2 since
> GNULIB standardized on C89.

That patch assumes <stdlib.h>, but gnulib currently assumes only the
minimal headers supplied by C89 freestanding compilers; it doesn't
assume the extra headers supplied by C89 hosted compilers.

Our current suggestion for older hosts is "install an old version of
GCC first; then use that".  But on native K&R hosts, GCC is merely a
freestanding compiler; it's not a hosted compiler, because it doesn't
guarantee C89 conformance for headers other than the headers that GCC
supplies itself, namely <float.h>, <limits.h>, <stdarg.h>, and

Perhaps it will make more practical sense to assume C89 hosted
compilers at some point; I don't know whether we've reached that point
yet, though.

The mkstemp patch that you also sent is a similar case.

reply via email to

[Prev in Thread] Current Thread [Next in Thread]